<script>
import { register } from '../api/index'; // Sesuaikan dengan path yang benar ke file index.js di dalam direktori api

export default {
  data() {
    return {
      name: '',
      email: '',
      password: ''
    };
  },
  methods: {
    register() {
      register(this.name, this.email, this.password)
        .then(response => {
            console.log('Registration successful:', response.message);

          // Redirect to login page after successful registration
<<<<<<< Updated upstream
            this.$router.push('/login');
=======
            const router = useRouter();
            router.push('/login'); // Redirect ke halaman login
>>>>>>> Stashed changes
          // Handle successful registration, misalnya, tampilkan pesan sukses atau alihkan pengguna ke halaman login
        })
        .catch(error => {
          console.error(error);
          // Handle error, misalnya, tampilkan pesan error kepada pengguna
        });
    }
  }
}
</script>

<template>
   <section class="pt-5">
        <div class="vh-100 d-flex justify-content-center align-items-center">
            <div class="container">
                <div class="row d-flex justify-content-center">
                    <div class="col-12 col-md-8 col-lg-6">
                        <div class="card bg-white">
                            <div class="card-body px-5 py-3">
                                <div class="alert alert-danger" v-if="error">
                                    {{ error  }}
                                </div>
                                <form @submit.prevent="register"  class="mb-3 mt-md-3">
                                    <h2 class="fw-bold mb-2 text-uppercase text-center">daftar</h2>
                                    <p class="mb-4 text-center">Please enter your login and password!</p>
                                    <div class="mb-3">
                                        <label for="name" class="form-label ">Nama</label>
                                        <input type="name" class="form-control" v-model="name"
                                            placeholder="name example">
                                    </div>
                                    <div class="mb-3">
                                        <label for="email" class="form-label ">Email</label>
                                        <input type="email" class="form-control" v-model="email"
                                            placeholder="name@example.com">
                                    </div>
                                    <div class="mb-3">
                                        <label for="password" class="form-label ">Password</label>
                                        <input type="password" class="form-control" v-model="password"
                                            placeholder="*******">
                                    </div>
                                    <!-- <p class="small"><a class="text-primary" href="forget-password.html">Lupa sandi?</a>
                                                </p> -->
                                    <div class="d-grid py-3">
                                        <button class="btn btn-outline-dark" type="submit">Daftar</button>
                                    </div>
                                </form>
                                <div>
                                    <p class="mb-0  text-center">Sudah punya akun? <a href="/login"
                                            class="text-primary fw-bold">Masuk</a></p>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>


</template>
